%test family 3b C0
%see Espelid and Genz
Vertex=[0,0,1;1,0,0];
Tri=[1,2,3];
d=10;
err=input('error:');
beta(1)=unifrnd(0,1);
beta(2)=unifrnd(0,1-beta(1));
alpha=rand(1,2);
sf=d/sum(alpha);
alpha=alpha*sf;

f3=@(V) exp(-(alpha(1)*abs(V(1,:)-beta(1))+alpha(2)*abs(V(2,:)-beta(2))));
x=Vertex(1,:); y=Vertex(2,:);
[lx,ly]=subdivizare(x,y,4);
% [lx,ly]=myunique(lx,ly);
TT=delaunay(lx,ly);
Z=f3([lx,ly]');
trisurf(TT,lx,ly,Z);
view(71,53)

b1=sym(beta(1)); b2=sym(beta(2));
a1=sym(alpha(1)); a2=sym(alpha(2));
syms u v 
ves=int(int(exp(-(a1*abs(u-b1)+a2*abs(v-b2))),v,0,1-u),u,0,1);
ve=double(ves);

figure(2)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000);
[result,ee, stat]=CubatureTriang(f3,Tri,Vertex,...
    [],[],oo);

result,ee,ve,stat
shg
ss=sprintf('$C_0$, $\\varepsilon=%f$, congruent',err);
title(ss,'Interpreter','Latex','FontSize',14);

figure(3)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000,...
    'Subdivision','flexible');
[result2,ee2, stat2]=CubatureTriangx(f3,Tri,Vertex,...
    [],[],oo);

result2,ee2,ve,stat2
shg
ss=sprintf('$C_0$, $\\varepsilon=%f$, flexible',err);
title(ss,'Interpreter','Latex','FontSize',14);
